@import url('https://fonts.googleapis.com/css2?family=IBM+Plex+Sans:wght@100;400&display=swap');

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

@font-face {
    font-family: EmperorTen;
    src: url(../fonts/emperorten-regular.ttf);
}

@font-face {
    font-family: ArcadeClassic;
    src: url(../fonts/arcade-classic.TTF);
}

body {
    background-color: #000000;
}

.page-wrapper {
    position: relative;
    width: 100%;
    min-height: 100vh;
}

.back-btn-wrapper {
    width: max-content;
    padding: 0 4vw;
    border-radius: 50%;
    z-index: 10;
    transition: .4s;
}

.back-btn-wrapper svg:hover {
    box-shadow: 2px 2px 50px #08f21e,
    -2px 2px 50px #08f21e,
    2px -2px 50px #08f21e,
    -2px -2px 50px #08f21e;
}

.back-btn-wrapper svg {
    transition: .4s;
    border-radius: 50%;
    width: 8vw;
    height: 8vw;
    max-width: 24px;
    max-height: 24px;
}

.bg-container {
    position: fixed;
    width: 100%;
    min-height: 100vh;
    height: 100%;
    overflow: hidden;
}

.bg-container img {
    width: 100%;
    height: 100%;
}

.popup {
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    position: fixed;
    opacity: 0;
    z-index: -5;
    transition: .2s;
    display: flex;
    align-items: center;
    justify-content: center;
    background: rgba(0,0,0,0.9);
}

.popup-img {
    transition: .4s;
    transform: scale(0);
}

.show-popup {
    opacity: 1 !important;
    z-index: 100 !important;
}


.show-btn {
    opacity: 1 !important;
    z-index: 101 !important;
}

.show-popup-img {
    transform: scale(1) !important;
}

.popup .popup-image-wrapper {
    padding: 0 1rem;
}

.close-btn {
    position: fixed;
    opacity: 0;
    z-index: -5;
    transition: .2s;
    display: flex;
    justify-content: end;
    left: 0;
    right: 1rem;
    top: 1rem;
}

.close-btn svg {
    width: 2rem;
}

.content-container{
    position: absolute;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: 5;
    padding: 1.2rem 0;
}

.logo-title-container {
    position: relative;
    width: 100%;
}

.logo-title-container .logo-wrapper {
    position: absolute;
    width: 30%;
    top: 2vh;
    max-width: max-content;
    left: 4vw;
    border-radius: 50%;
    z-index: 3;
    transition: .3s;
}

.logo-title-container .logo-wrapper .about {
    position: absolute;
    max-width: 110%;
    top: 50%;
    transform: translate(-50%, -50%);
    left: 50%;
}

.logo-title-container .logo-wrapper:hover {
    box-shadow: 0 0 50px rgba(8, 242, 30, 0.4),
    0 0 50px rgba(8, 242, 30, 0.4),
    0 0 50px rgba(8, 242, 30, 0.4),
    0 0 50px rgba(8, 242, 30, 0.4);
}

.logo-title-container .title-wrapper {
    position: absolute;
    top: 3vh;
}

.main-wrapper {
    text-align: right;
}

.btn-wrapper {
    max-width: 240px;
    transition: .4s;
    display: inline-block;
}

.btn-wrapper:hover {
    transform: scale(1.1);
}

.btn-1-wrapper , .btn-3-wrapper {
    position: relative;
    top: -8vh;
}

.support-content-container {
    position: relative;
    top: -4vh;
    width: 60%;
    max-width: max-content;
    text-align: right;
}

@media only screen and (min-width: 768px) {
    .popup .popup-image-wrapper {
        width: 80%;
    }
}

@media only screen and (max-width: 992px) and (max-aspect-ratio: 800/1430) {

    .bg-container img {
        width: 100% !important;
        height: 100%;
    }
}

@media only screen and (min-width: 992px) and (min-aspect-ratio: 16/9)  {

    .page-wrapper {
        height: max-content;
    }

}

@media only screen and (min-width: 992px)  {

    .popup .popup-image-wrapper {
        width: 50%;
        max-width: 1440px;
    }

    .close-btn svg {
        width: 3.2rem;
    }

    .page-wrapper {
        height: 100vh;
    }

    .back-btn-wrapper svg {
        max-width: 36px;
        max-height: 36px;
    }


    .content-container {
        padding: .5rem 0;
    }

    .btn-1-wrapper {
        top: 0;
    }

    .btn-3-wrapper {
        position: relative;
        top: -3vh;
    }

    .title-wrapper {
        width: 60%;
    }

    .main-wrapper {
        position: relative;
        top: 0;
        text-align: left;
        width: 100%;
    }

    .main-wrapper img {

    }

    .main-wrapper .main-img {
        width: 100%;
    }

    .main-wrapper .logo {
        position: absolute;
        width: 32%;
        right: 9%;
        top: 7%;
        transition: .4s;
        border-radius: 50%;
    }

    .about {
        position: absolute;
        top: 16% ;
        width: 36% ;
        right: 7% ;
        border-radius: 0 ;
    }

    .main-wrapper .logo:hover {
        box-shadow: 0 0 50px rgba(8, 242, 30, 0.4),
        0 0 50px rgba(8, 242, 30, 0.4),
        0 0 50px rgba(8, 242, 30, 0.4),
        0 0 50px rgba(8, 242, 30, 0.4);
    }

}

@media only screen and (min-width: 992px) and (max-aspect-ratio: 16/9) {
    .bg-container img {
        width: 100% !important;
        height: 100%;
    }
}

@media only screen and (min-width: 1280px) and (max-aspect-ratio: 16/9) {

    .main-wrapper {
        min-height: 80vh;
    }

    .main-wrapper .main-img {
    }

    .main-wrapper .logo {
        width: 30%;
        right: 9.5%;
        top: 7%;
    }
}

@media only screen and (min-width: 1440px) {
    .btn-wrapper {
        width: 100%;
    }

    .btn-wrapper img {
        display: inline-block;
        max-width: 200% !important;
        width: 18vw !important;
    }

    .btn-4-wrapper img {
        width: 20vw !important;
    }
}

@media only screen and (min-width: 1540px) {
    .back-btn-wrapper svg {
        max-width: 48px;
        max-height: 48px;
    }
}
